<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RSafForwarder StructType
 * @subpackage Structs
 */
class RSafForwarder extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The clientLabel
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $clientLabel;
    /**
     * The safSecurityProfile
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $safSecurityProfile;
    /**
     * The ipAddress
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ipAddress;
    /**
     * The port
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $port;
    /**
     * The enableTcpKeepAlive
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $enableTcpKeepAlive;
    /**
     * The safReconnectInterval
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $safReconnectInterval;
    /**
     * The safNotificationsWindowSize
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $safNotificationsWindowSize;
    /**
     * The associatedCucms
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedCucms
     */
    public $associatedCucms;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RSafForwarder
     * @uses RSafForwarder::setName()
     * @uses RSafForwarder::setDescription()
     * @uses RSafForwarder::setClientLabel()
     * @uses RSafForwarder::setSafSecurityProfile()
     * @uses RSafForwarder::setIpAddress()
     * @uses RSafForwarder::setPort()
     * @uses RSafForwarder::setEnableTcpKeepAlive()
     * @uses RSafForwarder::setSafReconnectInterval()
     * @uses RSafForwarder::setSafNotificationsWindowSize()
     * @uses RSafForwarder::setAssociatedCucms()
     * @uses RSafForwarder::setUuid()
     * @param string $name
     * @param string $description
     * @param string $clientLabel
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $safSecurityProfile
     * @param string $ipAddress
     * @param string $port
     * @param string $enableTcpKeepAlive
     * @param string $safReconnectInterval
     * @param string $safNotificationsWindowSize
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedCucms $associatedCucms
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $clientLabel = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $safSecurityProfile = null, $ipAddress = null, $port = null, $enableTcpKeepAlive = null, $safReconnectInterval = null, $safNotificationsWindowSize = null, \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedCucms $associatedCucms = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setClientLabel($clientLabel)
            ->setSafSecurityProfile($safSecurityProfile)
            ->setIpAddress($ipAddress)
            ->setPort($port)
            ->setEnableTcpKeepAlive($enableTcpKeepAlive)
            ->setSafReconnectInterval($safReconnectInterval)
            ->setSafNotificationsWindowSize($safNotificationsWindowSize)
            ->setAssociatedCucms($associatedCucms)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafForwarder
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafForwarder
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get clientLabel value
     * @return string|null
     */
    public function getClientLabel()
    {
        return $this->clientLabel;
    }
    /**
     * Set clientLabel value
     * @param string $clientLabel
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafForwarder
     */
    public function setClientLabel($clientLabel = null)
    {
        $this->clientLabel = $clientLabel;
        return $this;
    }
    /**
     * Get safSecurityProfile value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getSafSecurityProfile()
    {
        return $this->safSecurityProfile;
    }
    /**
     * Set safSecurityProfile value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $safSecurityProfile
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafForwarder
     */
    public function setSafSecurityProfile(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $safSecurityProfile = null)
    {
        $this->safSecurityProfile = $safSecurityProfile;
        return $this;
    }
    /**
     * Get ipAddress value
     * @return string|null
     */
    public function getIpAddress()
    {
        return $this->ipAddress;
    }
    /**
     * Set ipAddress value
     * @param string $ipAddress
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafForwarder
     */
    public function setIpAddress($ipAddress = null)
    {
        $this->ipAddress = $ipAddress;
        return $this;
    }
    /**
     * Get port value
     * @return string|null
     */
    public function getPort()
    {
        return $this->port;
    }
    /**
     * Set port value
     * @param string $port
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafForwarder
     */
    public function setPort($port = null)
    {
        $this->port = $port;
        return $this;
    }
    /**
     * Get enableTcpKeepAlive value
     * @return string|null
     */
    public function getEnableTcpKeepAlive()
    {
        return $this->enableTcpKeepAlive;
    }
    /**
     * Set enableTcpKeepAlive value
     * @param string $enableTcpKeepAlive
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafForwarder
     */
    public function setEnableTcpKeepAlive($enableTcpKeepAlive = null)
    {
        $this->enableTcpKeepAlive = $enableTcpKeepAlive;
        return $this;
    }
    /**
     * Get safReconnectInterval value
     * @return string|null
     */
    public function getSafReconnectInterval()
    {
        return $this->safReconnectInterval;
    }
    /**
     * Set safReconnectInterval value
     * @param string $safReconnectInterval
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafForwarder
     */
    public function setSafReconnectInterval($safReconnectInterval = null)
    {
        $this->safReconnectInterval = $safReconnectInterval;
        return $this;
    }
    /**
     * Get safNotificationsWindowSize value
     * @return string|null
     */
    public function getSafNotificationsWindowSize()
    {
        return $this->safNotificationsWindowSize;
    }
    /**
     * Set safNotificationsWindowSize value
     * @param string $safNotificationsWindowSize
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafForwarder
     */
    public function setSafNotificationsWindowSize($safNotificationsWindowSize = null)
    {
        $this->safNotificationsWindowSize = $safNotificationsWindowSize;
        return $this;
    }
    /**
     * Get associatedCucms value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedCucms|null
     */
    public function getAssociatedCucms()
    {
        return $this->associatedCucms;
    }
    /**
     * Set associatedCucms value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\AssociatedCucms $associatedCucms
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafForwarder
     */
    public function setAssociatedCucms(\\Losc\CucmBundle\Model\Webservice\StructType\AssociatedCucms $associatedCucms = null)
    {
        $this->associatedCucms = $associatedCucms;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafForwarder
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
